
#ifndef KERNELCONF_CONF
#define KERNELCONF_CONF

#define DEFINE_CONFIGF(x,f) \
static CONFIG_FILE f_##x( \
		f, \
		help_nil, \
		CONFIGF_GENERATED|CONFIGF_OPTIONAL);

DEFINE_CONFIGF(fairscheduler,"/proc/sys/kernel/fairsched")
DEFINE_CONFIGF(file_max,"/proc/sys/fs/file-max")
DEFINE_CONFIGF(inode_max,"/proc/sys/fs/inode-max")
DEFINE_CONFIGF(dquot_max,"/proc/sys/fs/dquot-max")
DEFINE_CONFIGF(super_max,"/proc/sys/fs/super-max")
DEFINE_CONFIGF(ctrl_alt_del,"/proc/sys/kernel/ctrl-alt-del")

#endif // KERNELCONF_CONF
